apiVersion: apps/v1
kind: Deployment
metadata:
  name: mailhog-deployment
  namespace: mailhog
spec:
  replicas: 1
  selector:
    matchLabels:
      app: mailhog
  template:
    metadata:
      labels:
        app: mailhog
    spec:
      containers:
      - name: mailhog
        image: mailhog/mailhog
        env:
        - name: MH_UI_WEB_PATH # set this to same value as in ingress stacks/core/ingress-apps/mailhog.yaml
          value: mailhog
        ports:
          - containerPort: 1025
            name: smtp
          - containerPort: 8025
            name: http
        resources:
          requests:
            memory: "64Mi"
            cpu: "50m"
          limits:
            memory: "128Mi"
            cpu: "100m"            